# Low Level Virtual Machine

### NAME

gccld

### SYNOPSIS

gccld [options] < filename>

### DESCRIPTION

The gccld utility takes a set of LLVM bytecode files GCC and links them together into a single LLVM bytecode file. It will link in any LLVM bytecode libraries that are necessary to make a single LLVM "bytecode executable."

The gccld utility is primarily used by the GCC front end, and as such, attempts to mimic the interface provided by the default system linker so that it can act as a "drop-in" replacement.

### OPTIONS

- -help
  Print a summary of command line options.

- -o <filename>
  Specify the output filename which will hold the assembled bytecode.

- -stats
  Print statistics.

- -time-passes
  Record the amount of time needed for each pass and print it to standard error.

- -verify
  Verify each pass result.

- -L=<directory>
  Add directory to the list of directories to search when looking for libraries.

- -disable-internalize
  Do not mark all symbols as internal.

- -internalize-public-api-file <filename>
  Preserve the list of symbol names in the file filename.

- -internalize-public-api-list <list>
  Preserve the symbol names in list.

- -l=<library prefix>
  Specify libraries to link to

- -link-as-library
  Link the .bc files together as a library, not an executable.

- -s
  Strip symbol information from the generated executable.

- -v
  Print information about actions taken.

### EXIT STATUS

If gccld succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

### SEE ALSO

llvm-dis

LLVM Team